LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;


entity lfsr_tb is
end lfsr_tb;


architecture my_tb of lfsr_tb is


component LFSR
  port (
    clk : in std_logic; 
    reset : in std_logic;
    z : out std_logic_vector (7 downto 0)
  );
end component;


signal clk_i, reset_i : std_logic; 
signal z_o : std_logic_vector (7 downto 0);

 
begin
  
  
  -- (1) instantiate design under test (DUT);
  DUT: lfsr port map (
    clk => clk_i, 
    reset => reset_i,
    z => z_o
  );

  
  -- (2) process to generate clock signal;
  clk_gen : process
  begin
    clk_i <= '0'; wait for 1 ps;
    clk_i <= '1'; wait for 1 ps;
  end process clk_gen;
  
  
  -- (3) process to generate desired input stimuli;
  process
  begin
    reset_i <= '1';
    wait for 4 ps; -- 2 clock cycles

    reset_i <= '0';
    wait for 600 ps;   
  end process;
    
end my_tb;
